## gi-docgen 2021.8+ds1

=== debian/changelog ===
gi-docgen (2021.8+ds1-2) unstable; urgency=medium

  * d/control.in: Adjust Description.
    The Description assumed that all packages that depend on gi-docgen will
    vendor a copy, but libportal does not (which will have a higher
    regression risk until gi-docgen is stable).
  * Standards-Version: 4.6.0 (no changes required)
  * Upload to unstable, required for libportal 0.5 transition (#1003085)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jan 2022 09:52:37 +0000

gi-docgen (2021.8+ds1-1) experimental; urgency=medium

  * New upstream release
    - Refresh patch series
    - The new upstream release now ships meson_options.txt, remove
      the workaround with d/missing/meson_options.txt
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Oct 2021 20:49:13 +0000

gi-docgen (2021.5+ds1-1) experimental; urgency=medium

  * Initial packaging (Closes: #987000).
    Note that this package should not be used in build-dependencies
    until it is considered stable upstream.
    - Disable fonts used upstream until they are packaged separately
      (see RFP #736681, #986999)

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Apr 2021 23:40:51 +0100

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds1,uversionmangle=s/(rc|a|b|c)/~$1/" \
https://pypi.debian.net/gi-docgen/gi-docgen-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gi-docgen 2025.5

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2021 Simon McVittie
#
# SPDX-License-Identifier: Apache-2.0 OR GPL-3.0-or-later

option('development_tests',
       type : 'boolean',
       value : true,
       description : 'run tests that are appropriate during gi-docgen development but not during packaging')

## gi-docgen 2022.1%2Bds

=== debian/changelog ===
gi-docgen (2022.1+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Refresh patch series

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Feb 2022 10:29:15 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gi-docgen
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, 
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-gnome,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 gnome-pkg-tools (>= 0.10),
 meson (>= 0.55.0),
 python3 (>= 3.6),
 python3-jinja2,
 python3-markdown,
 python3-markupsafe,
 python3-pygments,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-toml,
 python3-typogrify,
 sphinx-common <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gi-docgen
Vcs-Git: https://salsa.debian.org/gnome-team/gi-docgen.git
Homepage: https://gitlab.gnome.org/GNOME/gi-docgen/

Package: gi-docgen
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-jinja2,
         python3-markdown,
         python3-markupsafe,
         python3-pygments,
         python3-toml,
         python3-typogrify,
Multi-Arch: foreign
Description: source code documentation tool using GObject-Introspection
 GI-DocGen is a document generator for GObject-based libraries. GObject
 is the base type system of the GNOME project. GI-Docgen reuses the
 introspection data generated by GObject-based libraries to generate
 the API reference of these libraries, as well as other ancillary
 documentation.
 .
 GI-DocGen is not a general purpose documentation tool for C libraries:
 while GI-DocGen can be used to generate API references for most GObject/C
 libraries that expose introspection data, its main goal is to generate
 the reference for GTK and its immediate dependencies.
 .
 GI-DocGen is still in development. The upstream-recommended use of
 GI-DocGen is to add it as a sub-project to a Meson build system, and
 vendor it when releasing dist archives. Until GI-DocGen becomes stable,
 Debian packages that use it for their documentation should use a vendored
 copy (as allowed by Policy §4.13), and should not have a Build-Depends
 on gi-docgen unless no vendored copy is present in upstream releases.

Package: gi-docgen-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for the gi-docgen documentation tool
 GI-DocGen is a document generator for GObject-based libraries. GObject
 is the base type system of the GNOME project. GI-Docgen reuses the
 introspection data generated by GObject-based libraries to generate
 the API reference of these libraries, as well as other ancillary
 documentation.
 .
 This package contains documentation for gi-docgen.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export LC_ALL=C.UTF-8
unexport LANGUAGE LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES

built_binaries := $(shell dh_listpackages)

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		-Ddevelopment_tests=false \
		$(NULL)

override_dh_auto_build:
	dh_auto_build
ifneq ($(filter gi-docgen-doc,$(built_binaries)),)
	python3 -m sphinx -b html docs debian/html
endif

override_dh_gnome:
	dh_gnome --no-gnome-versions

## gi-docgen 2022.2+ds

=== debian/changelog ===
gi-docgen (2022.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/control.in: Update dependency on python3-markdown
  * d/p/templates-Remove-html5shiv.patch:
    Drop patch, an equivalent change was made upstream
  * d/p/Disable-web-fonts-for-now.patch:
    Refresh patch
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Nov 2022 17:22:35 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  meson (>= 0.55.0),
  python3 (>= 3.6),
  python3-jinja2,
- python3-markdown,
+ python3-markdown (>= 3.2),
  python3-markupsafe,
  python3-pygments,
  python3-sphinx <!nodoc>,
@@ -26,7 +26,7 @@
  python3-typogrify,
  sphinx-common <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gi-docgen
 Vcs-Git: https://salsa.debian.org/gnome-team/gi-docgen.git
 Homepage: https://gitlab.gnome.org/GNOME/gi-docgen/
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-jinja2,
-         python3-markdown,
+         python3-markdown (>= 3.2),
          python3-markupsafe,
          python3-pygments,
          python3-toml,

## gi-docgen 2023.1%2Bds

=== debian/changelog ===
gi-docgen (2023.1+ds-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control.in: Don't require Python >= 3.11, add python3-tomli
    dependency

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Dec 2024 14:14:10 -0800

gi-docgen (2023.1+ds-2) unstable; urgency=medium

  * debian/control.in: Require Python >= 3.11 and drop python3-toml dependency
  * debian/control.in: Build-Depend on dh-python >= 5.20230130~
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 30 Jan 2023 14:08:14 -0500

gi-docgen (2023.1+ds-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Debian Janitor ]
  * Apply multi-arch hints. + gi-docgen-doc: Add Multi-Arch: foreign

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 18:27:48 -0500

=== debian/control ===
--- 
+++ 
@@ -5,42 +5,42 @@
 Source: gi-docgen
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, 
-Build-Depends:
- debhelper-compat (= 13),
- dh-python,
- dh-sequence-gnome,
- dh-sequence-python3,
- dh-sequence-sphinxdoc <!nodoc>,
- gnome-pkg-tools (>= 0.10),
- meson (>= 0.55.0),
- python3 (>= 3.6),
- python3-jinja2,
- python3-markdown (>= 3.2),
- python3-markupsafe,
- python3-pygments,
- python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
- python3-toml,
- python3-typogrify,
- sphinx-common <!nodoc>,
+Build-Depends: debhelper-compat (= 13),
+               dh-python (>= 5.20230130~),
+               dh-sequence-gnome,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
+               gnome-pkg-tools (>= 0.10),
+               meson (>= 0.55.0),
+               python3,
+               python3-jinja2,
+               python3-markdown (>= 3.2),
+               python3-markupsafe,
+               python3-pygments,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-tomli,
+               python3-typogrify,
+               sphinx-common <!nodoc>
+X-Python3-Version: >= 3.8
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gi-docgen
 Vcs-Git: https://salsa.debian.org/gnome-team/gi-docgen.git
 Homepage: https://gitlab.gnome.org/GNOME/gi-docgen/
 
 Package: gi-docgen
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-jinja2,
+Depends: python3-jinja2,
          python3-markdown (>= 3.2),
          python3-markupsafe,
          python3-pygments,
-         python3-toml,
          python3-typogrify,
+         ${misc:Depends},
+         ${python3:Depends}
 Multi-Arch: foreign
 Description: source code documentation tool using GObject-Introspection
  GI-DocGen is a document generator for GObject-based libraries. GObject
@@ -65,11 +65,8 @@
 Section: doc
 Architecture: all
 Build-Profiles: <!nodoc>
-Built-Using:
- ${sphinxdoc:Built-Using},
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation for the gi-docgen documentation tool
  GI-DocGen is a document generator for GObject-based libraries. GObject
  is the base type system of the GNOME project. GI-Docgen reuses the
@@ -78,3 +75,4 @@
  documentation.
  .
  This package contains documentation for gi-docgen.
+Multi-Arch: foreign

## gi-docgen 2023.1+ds

=== debian/changelog ===
gi-docgen (2023.1+ds-5) unstable; urgency=high

  * d/p/debian/utils-Search-usr-lib-MULTIARCH-gir-1.0.patch:
    Add missing import to fix invocation outside package build context
    (regression in 2023.1+ds-4, Closes: #1056185)

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Nov 2023 14:47:18 +0000

gi-docgen (2023.1+ds-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Stop forcing DEB_PYTHON_INSTALL_LAYOUT.
    This is no longer necessary with debhelper (>= 13.11.5).
  * d/p/debian/Disable-web-fonts-for-now.patch:
    Move non-upstreamable patch into d/p/debian/
  * d/p/utils-Search-for-GIR-XML-in-GI_GIR_PATH.patch,
    d/p/test-Assert-that-GIR_GIR_PATH-is-respected.patch,
    d/p/utils-Always-fall-back-to-usr-share-gir-1.0-on-Unix.patch:
    Add proposed patches to find GIR XML in $GI_GIR_PATH and
    /usr/share/gir-1.0, matching GObject-Introspection 1.78.x
  * d/p/debian/utils-Search-usr-lib-MULTIARCH-gir-1.0.patch:
    Add Debian-specific patch to search /usr/lib/MULTIARCH/gir-1.0.
    This is a prerequisite for changing gobject-introspection to install
    a subset of GIR XML into /usr/lib/MULTIARCH. (Helps: #1029957)
  * d/control: Stop generating from d/control.in

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Nov 2023 14:50:52 +0000

gi-docgen (2023.1+ds-3) unstable; urgency=medium

  * Avoid trying to install into /usr/local with newer Meson.
    Mitigates: #1041537
  * Remove version constraints unnecessary since Debian 11

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Jul 2023 11:35:40 +0100

=== debian/control ===
Source: gi-docgen
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20230130~),
 dh-sequence-gnome,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 gnome-pkg-tools,
 meson,
 python3 (>= 3.11),
 python3-jinja2,
 python3-markdown,
 python3-markupsafe,
 python3-pygments,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-typogrify,
 sphinx-common <!nodoc>,
X-Python3-Version: >= 3.11
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gi-docgen
Vcs-Git: https://salsa.debian.org/gnome-team/gi-docgen.git
Homepage: https://gitlab.gnome.org/GNOME/gi-docgen/

Package: gi-docgen
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-jinja2,
         python3-markdown,
         python3-markupsafe,
         python3-pygments,
         python3-typogrify,
Multi-Arch: foreign
Description: source code documentation tool using GObject-Introspection
 GI-DocGen is a document generator for GObject-based libraries. GObject
 is the base type system of the GNOME project. GI-Docgen reuses the
 introspection data generated by GObject-based libraries to generate
 the API reference of these libraries, as well as other ancillary
 documentation.
 .
 GI-DocGen is not a general purpose documentation tool for C libraries:
 while GI-DocGen can be used to generate API references for most GObject/C
 libraries that expose introspection data, its main goal is to generate
 the reference for GTK and its immediate dependencies.
 .
 GI-DocGen is still in development. The upstream-recommended use of
 GI-DocGen is to add it as a sub-project to a Meson build system, and
 vendor it when releasing dist archives. Until GI-DocGen becomes stable,
 Debian packages that use it for their documentation should use a vendored
 copy (as allowed by Policy §4.13), and should not have a Build-Depends
 on gi-docgen unless no vendored copy is present in upstream releases.

Package: gi-docgen-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for the gi-docgen documentation tool
 GI-DocGen is a document generator for GObject-based libraries. GObject
 is the base type system of the GNOME project. GI-Docgen reuses the
 introspection data generated by GObject-based libraries to generate
 the API reference of these libraries, as well as other ancillary
 documentation.
 .
 This package contains documentation for gi-docgen.
Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 
 override_dh_gnome:
 	dh_gnome --no-gnome-versions
+
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control

## gi-docgen 2023.3+ds

=== debian/changelog ===
gi-docgen (2023.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/control: Add new dependency on python3-packaging
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 10:49:15 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-jinja2,
  python3-markdown,
  python3-markupsafe,
+ python3-packaging,
  python3-pygments,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
@@ -34,6 +35,7 @@
          python3-jinja2,
          python3-markdown,
          python3-markupsafe,
+         python3-packaging,
          python3-pygments,
          python3-typogrify,
 Multi-Arch: foreign

## gi-docgen 2024.1+ds

=== debian/changelog ===
gi-docgen (2024.1+ds-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/watch: Look for either gi-docgen or gi_docgen

  [ Jeremy Bícha ]
  * Run wrap-and-sort
  * Update debian/upstream/metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 08:29:58 -0500

gi-docgen (2024.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 11:57:21 -0400

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds,uversionmangle=s/(rc|a|b|c)/~$1/" \
https://pypi.debian.net/gi-docgen/gi[-_]docgen-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gi-docgen 2025.3

=== debian/changelog ===
gi-docgen (2025.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Switch back to watching download.gnome.org for releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Feb 2025 16:18:54 -0500

## gi-docgen 2025.4

=== debian/changelog ===
gi-docgen (2025.4-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Aug 2025 16:43:45 -0400

## gi-docgen 2025.5

=== debian/changelog ===
gi-docgen (2025.5-1) unstable; urgency=medium

  * New upstream release
    - Fix cross-site scripting via search.js (CVE-2025-11687)
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 10:48:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,41 +3,38 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends:
- debhelper-compat (= 13),
- dh-python (>= 5.20230130~),
- dh-sequence-gnome,
- dh-sequence-python3,
- dh-sequence-sphinxdoc <!nodoc>,
- gnome-pkg-tools,
- meson,
- python3 (>= 3.11),
- python3-jinja2,
- python3-markdown,
- python3-markupsafe,
- python3-packaging,
- python3-pygments,
- python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
- python3-typogrify,
- sphinx-common <!nodoc>,
+Build-Depends: debhelper-compat (= 13),
+               dh-python (>= 5.20230130~),
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
+               meson,
+               python3 (>= 3.11),
+               python3-jinja2,
+               python3-markdown,
+               python3-markupsafe,
+               python3-packaging,
+               python3-pygments,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-typogrify,
+               sphinx-common <!nodoc>
 X-Python3-Version: >= 3.11
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gi-docgen
 Vcs-Git: https://salsa.debian.org/gnome-team/gi-docgen.git
 Homepage: https://gitlab.gnome.org/GNOME/gi-docgen/
 
 Package: gi-docgen
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-jinja2,
+Depends: python3-jinja2,
          python3-markdown,
          python3-markupsafe,
          python3-packaging,
          python3-pygments,
          python3-typogrify,
+         ${misc:Depends},
+         ${python3:Depends}
 Multi-Arch: foreign
 Description: source code documentation tool using GObject-Introspection
  GI-DocGen is a document generator for GObject-based libraries. GObject
@@ -62,11 +59,8 @@
 Section: doc
 Architecture: all
 Build-Profiles: <!nodoc>
-Built-Using:
- ${sphinxdoc:Built-Using},
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation for the gi-docgen documentation tool
  GI-DocGen is a document generator for GObject-based libraries. GObject
  is the base type system of the GNOME project. GI-Docgen reuses the

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
unexport LANGUAGE LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES

built_binaries := $(shell dh_listpackages)

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		-Ddevelopment_tests=false \
		$(NULL)

execute_after_dh_auto_build:
ifneq ($(filter gi-docgen-doc,$(built_binaries)),)
	python3 -m sphinx -b html docs debian/html
endif

## gi-docgen 2026.1

=== debian/changelog ===
gi-docgen (2026.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Remove Rules-Requires-Root, not required since Debian 13
  * d/control: Standards-Version: 4.7.3
    - Drop Priority field, not needed since Debian 13
  * d/source/lintian-overrides: Ignore pybuild tags.
    This package is built with Meson, not with pybuild, so it's intentional
    that it doesn't build-depend on pybuild interfaces.
  * d/watch: Update to v5
  * Canonicalize packaging using `debputy reformat`

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jan 2026 10:31:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,43 @@
 Source: gi-docgen
+X-Style: black
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 5.20230130~),
-               dh-sequence-python3,
-               dh-sequence-sphinxdoc <!nodoc>,
-               meson,
-               python3 (>= 3.11),
-               python3-jinja2,
-               python3-markdown,
-               python3-markupsafe,
-               python3-packaging,
-               python3-pygments,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
-               python3-typogrify,
-               sphinx-common <!nodoc>
+Uploaders:
+ Simon McVittie <smcv@debian.org>,
+ Jeremy Bícha <jbicha@ubuntu.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python (>= 5.20230130~),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ meson,
+ python3 (>= 3.11),
+ python3-jinja2,
+ python3-markdown,
+ python3-markupsafe,
+ python3-packaging,
+ python3-pygments,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-typogrify,
+ sphinx-common <!nodoc>,
 X-Python3-Version: >= 3.11
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gi-docgen
 Vcs-Git: https://salsa.debian.org/gnome-team/gi-docgen.git
 Homepage: https://gitlab.gnome.org/GNOME/gi-docgen/
 
 Package: gi-docgen
 Architecture: all
-Depends: python3-jinja2,
-         python3-markdown,
-         python3-markupsafe,
-         python3-packaging,
-         python3-pygments,
-         python3-typogrify,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-jinja2,
+ python3-markdown,
+ python3-markupsafe,
+ python3-packaging,
+ python3-pygments,
+ python3-typogrify,
+ ${misc:Depends},
+ ${python3:Depends},
 Multi-Arch: foreign
 Description: source code documentation tool using GObject-Introspection
  GI-DocGen is a document generator for GObject-based libraries. GObject
@@ -59,8 +62,11 @@
 Section: doc
 Architecture: all
 Build-Profiles: <!nodoc>
-Built-Using: ${sphinxdoc:Built-Using}
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using:
+ ${sphinxdoc:Built-Using},
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Documentation for the gi-docgen documentation tool
  GI-DocGen is a document generator for GObject-based libraries. GObject
  is the base type system of the GNOME project. GI-Docgen reuses the
